CVE-2021-41035

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2021-41035
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2021-41035.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2021-41035
Published
2021-10-25T15:15:07Z
Modified
2024-06-21T22:21:48.241967Z
Severity
  • 9.8 (Critical) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS Calculator
Summary
[none]
Details

In Eclipse Openj9 before version 0.29.0, the JVM does not throw IllegalAccessError for MethodHandles that invoke inaccessible interface methods.

References

Affected packages

Git / github.com/eclipse/openj9

Affected ranges

Type
GIT
Repo
https://github.com/eclipse/openj9
Events
Introduced
0 Unknown introduced commit / All previous commits are affected
Fixed

Affected versions

openj9-0.*

openj9-0.0
openj9-0.0M1
openj9-0.0RC2
openj9-0.10.0-rc1
openj9-0.11.0
openj9-0.11.0-rc1
openj9-0.11.0-rc2
openj9-0.12.0-m1
openj9-0.12.0-m2
openj9-0.12.0-rc1
openj9-0.16.0-m1
openj9-0.17.0-m1
openj9-0.18.0-m1
openj9-0.19.0-m1
openj9-0.20.0-m1
openj9-0.21.0-m1
openj9-0.22.0-m1
openj9-0.23.0-m1
openj9-0.24.0-m1
openj9-0.26.0-m1
openj9-0.27.0-m1
openj9-0.29.0-m1
openj9-0.29.0-m2
openj9-0.29.0-m2a
openj9-0.8.0
openj9-0.8.0-rc1
openj9-0.8.0-rc2
openj9-0.9.0-rc1